Skip to navigation

Upsert Onboarding Status

View as Markdown
Partner Restricted

All background check API endpoints are restricted to background check providers that have signed a Paylocity technology partnership agreement. Please reach out to Techpartnerships@paylocity.com if you would like to discuss partnership opportunities.

Summary Description

This endpoint upserts the status of the integration with companyId specified in the body

Use Cases

  • Partner receives a new client intake form and sends the ‘in progress’ status to Paylocity
  • Partner and client already have an existing relationship, partner sends the ‘approved’ status for client to have access to ordering in the recruiting UI
  • Client initiates a new client intake form. Client and partner decide not to move forward with the relationship. Partner sends the ‘rejected’ status

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Paylocity company identifier (COID): up to 9 alphanumeric characters for the target company.

Headers

testModestringOptional
If true all responses are mocked and generated randomly
AcceptstringOptional

Media type(s) the client can accept in the response (typically application/json).

Request

Request payload for this operation. See the official endpoint documentation for required fields and allowable values.

Response

Successful response

Errors

401
Unauthorized Error